
#ifndef _FUNKFILTERCLASS
#define _FUNKFILTERCLASS

#include "surface.h"
#include "core.h"

#define FUNKFILTER_OFF			0
#define FUNKFILTER_INVERT		1
#define FUNKFILTER_INVERT2		2
#define FUNKFILTER_SOLAR		3
#define FUNKFILTER_BURN			4
#define FUNKFILTER_DODGE		5
#define FUNKFILTER_LIGHTEN		6
#define FUNKFILTER_LIGHTEN2		7
#define FUNKFILTER_ADDITIVE		8
#define FUNKFILTER_ADDITIVE2	9
#define FUNKFILTER_ADDITIVE3	10
#define FUNKFILTER_DARKEN		11

class cFunkFilter
{

	public:

		cFunkFilter();
		~cFunkFilter();

		SetGlobalMode(int mode);
		SetMode(int mode);
		SetStrength(float opacity);
		Update();
		Draw();

	private:
		int Mode;

};

#endif _FUNKFILTERCLASS